# Interface ObjectFilesToBinary

All Superinterfaces:
  `Comparable<Task>, ExtensionAware, Task`

All Known Implementing Classes:
  `AbstractLinkTask, CreateStaticLibrary, LinkExecutable, LinkMachOBundle, LinkSharedLibrary`

@Incubating public interface ObjectFilesToBinary extends Task
A task that combines a set of object files into a single binary.

## Nested Class Summary

### Nested classes/interfaces inherited from interface Task

`Task.Namer`

## Field Summary

### Fields inherited from interface Task

`TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

## Method Summary

Modifier and Type
Method
Description
`void`
`source(Object source)`
Adds a set of object files to be combined into the file binary.

### Methods inherited from interface Comparable

`compareTo`

### Methods inherited from interface ExtensionAware

`getExtensions`

### Methods inherited from interface Task

`configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, hasProperty, leftShift, mustRunAfter, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter`

## Method Details

### source

void source(Object source)
Adds a set of object files to be combined into the file binary. The provided source object is evaluated as per `Project.files(Object...)`.